This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 498217 - F11 Preview - Unable to mount volumes when operating under LiveCD
F11 Preview - Unable to mount volumes when operating under LiveCD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-29 09:52 EDT by John Webster
Modified: 2015-03-03 17:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Webster 2009-04-29 09:52:32 EDT
Description of problem: Downloaded the Gnome LiveCD (32-bit) for F11 Preview. The LiveCD appears to work normally, but the system is unable to mount volumes other than the Filesystem. The hard disk, USB disks formatted as F16, F32 and ext3, and the CD/DVD reader/writer all appear in the "Computer" window, but any attempt to open them yields an error message to the effect that the system is "unable to mount location".

Identical behaviour on Compaq C700 laptop (Celeron 540, 2GB RAM, 120GB HD) and Lenovo M9952 desktop (Celeron E1200, 2GB RAM, 80GB HD)

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Insert LiveCD or LiveUSB
2.Boot
3.Open "Computer" window
4.Attempt to access any non-ext4 volumes
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2009-04-29 10:03:49 EDT
I'm not exactly sure which component is responsible for mounting things on the desktop, but I think it's nautilus.  Regardless, this is almost certainly not an anaconda problem.
Comment 2 Jef Spaleta 2009-04-29 14:56:22 EDT
Just a followup

gnome-mount -d /dev/whatever   works as liveuser in my testing when trying to mount specific partitions with filesystems.

Also nautilus is showing two icons for my cruzer usb disk when inserted.
One icon is a usb device icon, the other icon is the same icon as the dvd unit.

It's almost like nautilus is showing /dev/sdb and /dev/sdb1 both as mountable for my cruzer.  In fact looking closely I think its showing /dev/sda as a mountable disk as well.

Is this some bad interaction between nautilus and devkit-disks?


-jef
Comment 3 John Webster 2009-04-29 21:02:48 EDT
I have checked, and I also see duplicate generic icons for each usb disk in nautilus

John
Comment 4 John Webster 2009-04-29 23:57:53 EDT
I can also confirm that the problem is not replicated in the KDE LiveCD.

John
Comment 5 Alan F Young 2009-05-01 18:07:41 EDT
Same problem occurs when using F11 Preview x86_64 Gnome LiveCD.
Comment 6 Matthias Clasen 2009-05-01 22:09:02 EDT
I believe you are seeing the same issue I have described in bug 498649
Comment 7 John Webster 2009-05-02 00:33:04 EDT
Yes, it's the same problem. One curious point is that I haven't experienced this regression when running the LiveCD of Mandriva 2009.1 which uses the same version of Nautilus (2.26.2). No doubt there are various differences in the kernels, both of which are from the 2.6.29 series. That may lend weight to the suggestion by Jef Spaleta that there are some odd interactions going on (rather than the bug being inherent in Nautilus alone).
Comment 8 Matthias Clasen 2009-05-02 00:49:11 EDT
The bug is two bugs, actually.

A udev rule syntax error, fixed here: 

http://git.fedoraproject.org/git/?p=mkinitrd;a=commitdiff;h=d9ad8081797a9cbed9941af0e6a27ff79d655bb1

and a gvfs bug in interpreting the effect of the udev rule, fixed here:

http://git.gnome.org/cgit/gvfs/commit/?id=59dd3b33a71a930651f23142e2a7d7e57727144f


Both of these fixes should make it into F-11 final.
Comment 9 John Webster 2009-05-02 01:35:52 EDT
That's great, well done.
Comment 10 Bug Zapper 2009-06-09 10:47:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 09:59:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 08:15:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.